Bug 191286 - mail/opendkim -- update to 2.9.2 etc.
Summary: mail/opendkim -- update to 2.9.2 etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-22 20:49 UTC by Matthew Seaman
Modified: 2014-07-17 09:52 UTC (History)
1 user (show)

See Also:


Attachments
Update to 2.9.2 (22.20 KB, text/plain)
2014-06-22 20:49 UTC, Matthew Seaman
no flags Details
Update patch to fix typo (22.20 KB, patch)
2014-06-23 05:33 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman freebsd_committer 2014-06-22 20:49:27 UTC
Created attachment 144041 [details]
Update to 2.9.2

Update the opendkim port to version 2.9.2, and update it to current standards:

  - Use options helpers

  - Fix LIB_DEPENDS to use the modern style everywhere

  - Use OPTIONS_SUB -- fix the %%OPTNAME%% tokens in pkg-plist to match
    option names.  Sort pkg-plist.  Use @sample

  - Add libtool to USES.  Drop .la files from pkg-plist

  - New options CURL, JANSSON, LDNS, LMDB, SASL.  New options group DEVELOPER.
    Move STATS to the FFR group.  Drop the XML options (no longer supported 
    upstream)

  - Most of the Makefile.features logic is moved to Makefile.options due to use 
    of options helpers.  Move the remnants to the main Makefile and delete 
    Makefile.features

  - Finish off staging: get rid of references to MANx in conditional code in 
    Makefile.features.  Add optional man pages to pkg-plist.

  - Delete files/patch-librbl__rbl.c and files/patch-opendkim__opendkim.c
    -- patches have been incorporated upstream

  - Use 'MAKE_ENV= INSTALL_STRIP_FLAG=${STRIP}' so that installed shlibs
    are stripped

Still TODO:

   Create a port for the tre regex library and add a TRE option.

   Fix linux coverage support and re-enable the LCOV option.

Redports: https://redports.org/buildarchive/20140622204700-21632/
Comment 1 Matthew Seaman freebsd_committer 2014-06-22 20:51:28 UTC
CC Maintainer for approval.
Comment 2 Matthew Seaman freebsd_committer 2014-06-23 05:33:02 UTC
Created attachment 144054 [details]
Update patch to fix typo
Comment 3 commit-hook freebsd_committer 2014-07-17 09:51:09 UTC
A commit references this bug:

Author: matthew
Date: Thu Jul 17 09:51:00 UTC 2014
New revision: 362129
URL: http://svnweb.freebsd.org/changeset/ports/362129

Log:
  Update to 2.9.2

    - Options helpers
    - Uses += libtool
    - Regenerate pkg-plist based on 'make makeplist'
    - Almost all of what was in Makefile.features disappeared due to
      usage of options helpers, so make that file redundant.

  PR:		191286
  Approved by:	maintainer timeout (> 3 weeks)

Changes:
  head/mail/opendkim/Makefile
  head/mail/opendkim/Makefile.features
  head/mail/opendkim/Makefile.options
  head/mail/opendkim/distinfo
  head/mail/opendkim/files/patch-librbl__rbl.c
  head/mail/opendkim/files/patch-opendkim__opendkim.c
  head/mail/opendkim/pkg-plist